%define		plugin	icalevents
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Parses an iCal calendar .ics file and renders it as an HTML table
Name:		dokuwiki-plugin-%{plugin}
Version:	20120909
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/glensc/dokuwiki-plugin-icalevents/tarball/2012-09-09/%{name}-%{version}.tgz
# Source0-md5:	f06f7df14b65359ff83096c1cec11e02
URL:		http://www.dokuwiki.org/plugin:icalevents
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	unzip
Requires:	dokuwiki >= 20080505
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
Requires:	php-date
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
Many calendars can export their entries in the iCalendar (RFC 2445)
format. This plugin can read such an *.ics file from an URL, parse it
and display upcoming events as an HTML table.

%prep
%setup -qc
mv *icalevents-*/* .

version=$(awk '/^date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}

%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%dir %{plugindir}
%{plugindir}/*.php
%{plugindir}/*.txt
%{plugindir}/conf
%changelog
* Mon Sep 10 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-icalevents.git;a=log;h=master

* Sun Sep 09 2012 Elan Ruusamäe <glen@delfi.ee> 9140a55
up to 20120909

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 26e8c56
- use php(core) as dependency to require php version
- release 6 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> b6f5dfd
- use virtual php extension deps (to be independant of php version)
- release 6 (by relup.sh)

* Tue May 24 2011 Elan Ruusamäe <glen@pld-linux.org> 054a4ea
- add show current week patch

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> e623f3b
- BR: unzip

* Mon Dec 06 2010 Elan Ruusamäe <glen@pld-linux.org> 98e7c7f
- allow $from to take any param that strtotime supports

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> ae05063
- allow more params via wiki syntax

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> 51058ef
- reset error state when fetching next calendar

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> b877a92
- plugin must be in dir with proper caps to work

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> 02c3fee
- new

